unsupported Kubernetes version (Service: Eks, Status Code: 400, Request ID) but its actually eksctl version!!!!

Firstly, sorry for the misleading error code as this forced even me to scratch my head and spend a few hours in order to figure…